Package: org.gradle.nativebinaries.tasks

## [Groovy] Class InstallExecutable

- org.gradle.nativebinaries.tasks.InstallExecutable

- Installs an executable with it's dependent libraries so it can be easily executed.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `File` | `destinationDir` The directory to install files into.
    `File` | `executable` The executable file to install.
    `FileCollection` | `libs` The library files that should be installed.
    `ToolChain` | `toolChain` The tool chain used for linking.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `InstallExecutable ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `FileOperations` | `getFileOperations()`
    `FileSystem` | `getFileSystem()`
    `Instantiator` | `getInstantiator()`
    `OperatingSystem` | `getOs()`
    `File` | `getRunScript()` Returns the script file that can be used to run the install image.
    `void` | `install()`
    `void` | `lib(Object libs)` Adds a set of library files to be installed.

- - ### Property Detail

    - #### @OutputDirectory File destinationDir

      The directory to install files into.

    - #### @InputFile File executable

      The executable file to install.

    - #### @InputFiles FileCollection libs

      The library files that should be installed.

    - #### ToolChain toolChain

      The tool chain used for linking.

  - ### Constructor Detail

    - #### @Inject InstallExecutable()

  - ### Method Detail

    - #### @Inject FileOperations getFileOperations()

    - #### @Inject FileSystem getFileSystem()

    - #### @Inject Instantiator getInstantiator()

    - #### @Inject OperatingSystem getOs()

    - #### File getRunScript()

      Returns the script file that can be used to run the install image.

    - #### @TaskAction void install()

    - #### void lib(Object libs)

      Adds a set of library files to be installed. The provided libs object is evaluated as per Project.files.